from fastapi import APIRouter, Query

from app.models.domain.devices import ACATAHThermalModeSetResponse, ACATAHSupplyAirTemperatureSetResponse


router = APIRouter()


@router.get('/instructions/acatah/thermal-mode-set', response_model=ACATAHThermalModeSetResponse)
async def get_acatah_thermal_mode_set(
        project_id: str = Query(..., max_length=50, regex='^Pj', alias='projectId'),
        device_id: str = Query(..., max_length=50, regex='^Eq', alias='equipId')
):
    pass


@router.get('/instructions/acatah/supply-air-temperature-set', response_model=ACATAHSupplyAirTemperatureSetResponse)
async def get_acatah_supply_air_temperature_set(
        project_id: str = Query(..., max_length=50, regex='^Pj', alias='projectId'),
        device_id: str = Query(..., max_length=50, regex='^Eq', alias='equipId')
):
    pass
