from enum import Enum
from typing import Optional

from pydantic import BaseModel


class ThermalMode(str, Enum):
    cooling = 'cooling'
    heating = 'heating'
    hold = 'hold'


class DevicesInstructionsBaseResponse(BaseModel):
    projectId: str
    equipId: str


class ACATAHThermalModeSetResponse(DevicesInstructionsBaseResponse):
    thermal_mode_set: ThermalMode


class ACATAHSupplyAirTemperatureSetResponse(DevicesInstructionsBaseResponse):
    supply_air_temperature_set: float
